Page MenuHomePhabricator

Increase item limit to 5k - and return limit information in API
Closed, ResolvedPublic

Description

Bump the limit for items in a list to 5k for each list per our discussion.

Also so we don't have to hard code this into the clients, can you return the limit in the API?

Not sure if it makes sense to return the 5k limit for each list, or if you have a better idea.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterIncrease ReadingLists item limit to 5k

Event Timeline

Fjalapeno created this task.Feb 2 2018, 3:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2018, 3:25 AM
Fjalapeno assigned this task to Tgr.Feb 2 2018, 3:25 AM
Tgr added a comment.Feb 2 2018, 3:55 AM

Clients can fetch the Swagger spec for the API, we can put the limits in there somewhere.

Fjalapeno removed Tgr as the assignee of this task.Feb 2 2018, 4:48 PM
Fjalapeno added subscribers: JoeWalsh, Tgr, Dbrant.
Fjalapeno assigned this task to Tgr.Feb 7 2018, 4:21 PM

Change 409712 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Increase ReadingLists item limit to 5k

https://gerrit.wikimedia.org/r/409712

Tgr added a comment.Feb 11 2018, 10:35 PM

#952 exposes the maximum size in RESTBase in the Swagger spec under x-maxsize.

On the MediaWiki side (which is more reliable - per T180416 there is no way to share configuration so the numbers are simply manually copied over to the RESTBase API docs) the limits are included in the readinglists-config key of the siteinfo response.

RHo added subscribers: cmadeo, RHo.Feb 14 2018, 5:42 PM

Change 409712 merged by jenkins-bot:
[operations/mediawiki-config@master] Increase ReadingLists item limit to 5k

https://gerrit.wikimedia.org/r/409712

Mentioned in SAL (#wikimedia-operations) [2018-03-06T02:26:33Z] <tgr@tin> Synchronized wmf-config/CommonSettings.php: T186296 Increase ReadingLists list size limit to 5k (duration: 01m 06s)

Tgr closed this task as Resolved.Mar 10 2018, 12:56 AM